> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch the funding account of a mass payment

> Fetch the bank account details to fund a mass payment. Only available once the mass payment status is `Created`, when the `funding_account_href` link is returned by the mass payments list.



## OpenAPI

````yaml https://api.ebury.io/openapi.json get /mass-payments/{mass_payment_id}/funding-account
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /mass-payments/{mass_payment_id}/funding-account:
    get:
      tags:
        - Multi Payments
      summary: Fetch the funding account of a mass payment
      description: >-
        Fetch the bank account details to fund a mass payment. Only available
        once the mass payment status is `Created`, when the
        `funding_account_href` link is returned by the mass payments list.
      parameters:
        - $ref: '#/components/parameters/MassPaymentId'
        - $ref: '#/components/parameters/ClientId'
        - $ref: '#/components/parameters/Authorization'
      responses:
        '200':
          description: Funding account details of the mass payment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MassPaymentFundingAccount'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '409':
          description: Invalid mass payment id
        '429':
          description: Too many requests
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    MassPaymentId:
      description: The ID of the mass payment.
      in: path
      name: mass_payment_id
      required: true
      schema:
        type: string
    ClientId:
      description: The identifier of a client.
      in: query
      name: client_id
      required: true
      schema:
        type: string
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  schemas:
    MassPaymentFundingAccount:
      properties:
        account_number:
          description: The account number
          type: string
          example: '65878033'
        bank_identifier:
          description: The bank identifier (e.g. Sort Code)
          type: string
          example: '200605'
        bank_identifier_type:
          description: The type of bank identifier
          type: string
          example: SC UK Sort Code
        iban:
          description: The International Bank Account Number
          type: string
          example: GB57BARC20060565878033
        swift_code:
          description: The SWIFT/BIC code
          type: string
          example: BARCGB22
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
  responses:
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Forbidden:
      description: >-
        Could not complete action due to data constraints. Refer to error
        message for additional details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'

````